/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2002 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.dynamo.xmlrpc;

class SystemFaultCode extends FaultCode
{
  /*--------------------------------------------------------------------------------
   * Static data members
   *--------------------------------------------------------------------------------
   */

  public static final int PARSE_ERROR = -32700;
  public static final int BAD_ENCODING = -32701;
  public static final int INVALID_CHARACTER = -32702;
  public static final int INVALID_REQUEST = -32600;
  public static final int METHOD_NOT_FOUND = -32601;
  public static final int INVALID_PARAMS = -32602;
  public static final int INTERNAL_ERROR = -32603;
  public static final int APPLICATION_ERROR = -32500;
  public static final int SERVER_ERROR = -32400;
  public static final int TRANSPORT_ERROR = -32300;

  public static final int IMPL_ERROR_FIRST = -32099;
  public static final int IMPL_ERROR_LAST = -32000;

  /*--------------------------------------------------------------------------------
   * Constructors
   *--------------------------------------------------------------------------------
   */

  SystemFaultCode()
  {
    super();

  } // end constructor

  SystemFaultCode(int code)
  {
    super();
    m_code = code;

  } // end constructor

  SystemFaultCode(String message)
  {
    super(message);

  } // end constructor

  SystemFaultCode(int code, String message)
  {
    super(message);
    m_code = code;

  } // end constructor

  SystemFaultCode(Throwable inner)
  {
    super(inner);

  } // end constructor

  SystemFaultCode(int code, Throwable inner)
  {
    super(inner);
    m_code = code;

  } // end constructor

  SystemFaultCode(String message, Throwable inner)
  {
    super(message,inner);

  } // end constructor

  SystemFaultCode(int code, String message, Throwable inner)
  {
    super(message,inner);
    m_code = code;

  } // end constructor

} // end class SystemFaultCode
